#include "PLA.h"

int direct_dupl_colpanel_to_mvector_opt(PLA_Obj panel, 
				   PLA_Obj vector, MPI_Op op)
/* reduction of the duplicated column panel to a vector */
{
  PLA_Obj
    temp = NULL;

  PLA_Pmvector_create_conf_to( panel, PLA_PROJ_ONTO_COL, PLA_ALL_COLS,
			      1, &temp);
  PLA_Reduce( panel, MPI_SUM, temp);
  
  PLA_Unpack_colpanel_mvector_opt( temp, vector );
  
  PLA_Obj_free(&temp);
  return (0);
}
/******************************************************************/












