
/***************************************************************************
  03 April 1996 10:11
  
  Copyright (c) 1996 Robert van de Geijn and The University of Texas at Austin.
  See the file GNU_LICENSE for details on the gnu license

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 1, or (at your option)
  any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

  Written by:   Many People including:

  Gregory A. Baker, Center for Space Research,
  University of Texas at Austin  78722      baker@csr.utexas.edu

  Philip A. Alpatov, Department of Physics,
  University of Texas at Austin 78712.     philip@physics.utexas.edu

  James Overfelt, Department of Mathematics,
  University of Texas at Austin  78712.    overfelt@@math.utexas.edu
  
  John Andrew Gunnels, Department of Computer Sciences,
  University of Texas at Austin 78712.     gunnels@@cs.utexas.edu
  
  Greg Morrow, Department of Physics, 
  University of Texas at Austin 78712.     morrow@@physics.utexas.edu
 
  Dr. Robert Van de Geijn, Department of Computer Sciences,
  University of Texas at Austin 78712.     rvdg@@cs.utexas.edu
 
***************************************************************************/



#include "PLA.h"
#include "PLA_Stubs.h"

int PLA_Create_constant(PLA_Obj The_TypeIndicator,
                             double   The_Value,
                             PLA_Obj The_Mscalar_const);

/* I apologize for this -- these are routine that just say      */
/* 'not yet implemented' and tell you who is working in them OR */
/* and maybe some other stuff like -- this routine won't appear */
/* with this name but I don't know what to call it -- or 'this  */
/* is what I plan to do etc.'.  Now maybe some people have these*/
/* routines around -- but they didn't make it (for good reasons */
/* I am sure) into the PLA_Contrib directories.                  */

/* NOTE: These are not the only "stubs" -- but I hope to        */
/* consolidate all such things in one file.                     */

int PLA_Create_constant(PLA_Obj The_TypeIndicator,
                             double   The_Value,
                             PLA_Obj The_MScalar)
{
   printf("You have reached PLA_Create_constant(), a routine in the\n");
   printf("stubs file (PLA_Stubs.c)\n");
   printf("This function will simply return an error code of NO_ERROR\n");
   printf("It seems to me that for 1x1 Mscalar creation we will probably have\n");
   printf("live with the sloppiness of PLA_Create_double_const(Obj, val)\n");
   printf("options like casting void pointers to buffers -- which could be done\n");
   printf("with about the same mess IMO -- would probably be even less attractive\n");
   printf("from the users side\n");
   return(NO_ERROR);
}

