
/***************************************************************************
  13 Oct 1995 13:57:07
  
  Copyright (c) 1995 Robert van de Geijn and The University of Texas at Austin.
  See the file README for details on the gnu license

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 1, or (at your option)
  any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

  Written by: Robert van de Geijn, Department of Computer Sciences,
  University of Texas at Austin  78712.    rvdg@cs.utexas.edu
  
  Many People including:

  Gregory A. Baker, Center for Space Research,
  University of Texas at Austin  78722      baker@csr.utexas.edu

  Philip A. Alpatov, Department of Physics,
  University of Texas at Austin 78712.     philip@physics.utexas.edu

***************************************************************************/

#include "PLA.h"

double PLA_random(seed)
/*
    generate random number in -1 to 1 range.
*/
int seed;
{
  double drand48();
  if (seed != 0) {
    srand48(seed); 
  }
  return(1.0-2.0*drand48());     
}

